From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: "sys-fs/dwarfs/, sys-fs/dwarfs/
Date: Thu, 5 Dec 2024 12:00:13 +0000 (UTC) [thread overview]
Message-ID: <1733329024.1761f80c0dee48462bfe102c54e6cac30570e0ba.flow@gentoo> (raw)
commit: 1761f80c0dee48462bfe102c54e6cac30570e0ba
Author: Denis Reva <denis7774 <AT> gmail <DOT> com>
AuthorDate: Wed Dec 4 16:17:04 2024 +0000
Commit: Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Dec 4 16:17:04 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=1761f80c
sys-fs/dwarfs: add 0.10.2
Signed-off-by: Denis Reva <denis7774 <AT> gmail.com>
sys-fs/dwarfs/Manifest | 1 +
sys-fs/dwarfs/dwarfs-0.10.2.ebuild | 108 +++++++++++++++++++++++++++++++++++++
2 files changed, 109 insertions(+)
diff --git a/sys-fs/dwarfs/Manifest b/sys-fs/dwarfs/Manifest
index 5a99b6ee6..2d4b6e4cd 100644
--- a/sys-fs/dwarfs/Manifest
+++ b/sys-fs/dwarfs/Manifest
@@ -1 +1,2 @@
DIST dwarfs-0.10.1.tar.xz 11731244 BLAKE2B 5885e7dc4092dd678383958839afcc02e906c95dcb8e2af2a649738a3d41196ec51f17a4362b413863136bd67cbd3d8225c147ed2da1a089561ec6e5d2587d4b SHA512 5dcfde0698f0ea9aecda51387b392cf58abbd5b94af178bfe741331bc78b24e2f837cbfbe63bc36c7c6117b4c8206418946ca93e91b5660f6b7d0a14f2817101
+DIST dwarfs-0.10.2.tar.xz 11736632 BLAKE2B 3d846f04b469ed1ff810ff36d337ddb8cf31f307ddf2b8b0de24703db75b2a2597e5c91c930f3e359b277b345c4f25e87fefa93e4269f3c20b32b5bd28a2948c SHA512 d79cefeb2a2027d7ccd5de257bec41514a7b1627b475656a18fe2c2c3d7fef119d9b369f0af839631a3eff6b171c050fe7c31bb3e335bd0a248ae330305f954f
diff --git a/sys-fs/dwarfs/dwarfs-0.10.2.ebuild b/sys-fs/dwarfs/dwarfs-0.10.2.ebuild
new file mode 100644
index 000000000..ec66c1f4b
--- /dev/null
+++ b/sys-fs/dwarfs/dwarfs-0.10.2.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit check-reqs cmake flag-o-matic
+
+DESCRIPTION="A fast high compression read-only file system for Linux, Windows and macOS"
+HOMEPAGE="https://github.com/mhx/dwarfs"
+SRC_URI="https://github.com/mhx/dwarfs/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+jemalloc test +tools +fuse +perfmon flac ricepp stacktrace"
+S="${WORKDIR}/dwarfs-${PV}"
+
+RDEPEND="
+ >=app-arch/libarchive-3.6.0
+ >=app-arch/brotli-1.0.9
+ >=app-arch/lz4-1.9.3
+ >=app-arch/xz-utils-5.2.5
+ >=app-arch/zstd-1.4.8
+ dev-cpp/gflags
+ dev-cpp/glog[gflags]
+ >=dev-cpp/parallel-hashmap-1.4.1
+ dev-libs/boost[context]
+ dev-libs/double-conversion
+ dev-libs/libevent
+ >=dev-libs/libfmt-11.0.2
+ dev-libs/utfcpp
+ >=dev-libs/xxhash-0.8.1
+ flac? ( >=media-libs/flac-1.4.3 )
+ fuse? ( sys-fs/fuse:3 )
+ sys-libs/binutils-libs
+ stacktrace? ( sys-libs/libunwind )
+ sys-libs/zlib
+ jemalloc? ( >=dev-libs/jemalloc-5.2.1 )
+ test? ( >=dev-cpp/gtest-1.15.2 )
+ >=dev-cpp/range-v3-0.12.0
+ dev-libs/date
+ dev-cpp/nlohmann_json
+"
+
+DEPEND="
+ ${RDEPEND}
+"
+BDEPEND="
+ virtual/pkgconfig
+"
+
+FEATURES="
+ stacktrace? ( nostrip )
+"
+
+DOCS=( "README.md" "CHANGES.md" "TODO" )
+RESTRICT="!test? ( test )"
+
+CHECKREQS_DISK_BUILD="500M"
+CMAKE_WARN_UNUSED_CLI=0
+
+src_prepare(){
+ cmake_src_prepare
+ sed "s/DESTINATION lib/DESTINATION $(get_libdir)/" -i cmake/libdwarfs.cmake || die
+}
+
+src_configure(){
+ mycmakeargs=(
+ -DUSE_JEMALLOC=$(usex jemalloc ON OFF)
+ -DWITH_TESTS=$(usex test ON OFF)
+ -DWITH_MAN_PAGES=ON
+ -DWITH_MAN_OPTION=ON
+ -DWITH_LIBDWARFS=ON
+ -DWITH_TOOLS=$(usex tools ON OFF)
+ -DWITH_FUSE_DRIVER=$(usex fuse ON OFF)
+ -DENABLE_PERFMON=$(usex perfmon ON OFF)
+ -DTRY_ENABLE_FLAC=$(usex flac ON OFF)
+ -DENABLE_RICEPP=$(usex ricepp ON OFF)
+ -DENABLE_STACKTRACE=$(usex stacktrace ON OFF)
+ -DWITH_LEGACY_FUSE=OFF
+ -DPREFER_SYSTEM_GTEST=ON
+ )
+ cmake_src_configure
+}
+
+src_test(){
+ export DWARFS_SKIP_FUSE_TESTS=1
+ local CMAKE_SKIP_TESTS=(
+ # Perfmon is not working within sandbox
+ dwarfsextract_test.perfmon
+ )
+
+ cmake_src_test
+}
+
+pkg_postinst(){
+ elog "More information: ${HOMEPAGE}"
+ if use tools ; then
+ elog " creating images: mkdwarfs --man"
+ elog " creating images: man mkdwarfs"
+ elog " creating images: ${HOMEPAGE}/blob/main/doc/mkdwarfs.md"
+ fi
+ if use fuse ; then
+ elog " mounting images: dwarfs --man"
+ elog " mounting images: man dwarfs"
+ elog " mounting images: ${HOMEPAGE}/blob/main/doc/dwarfs.md"
+ fi
+}
reply other threads:[~2024-12-05 12:00 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1733329024.1761f80c0dee48462bfe102c54e6cac30570e0ba.flow@gentoo \
--to=flow@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox